commit:     56cfc287d26b0ebf0d55c33c0062df39a353caad
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 11 16:56:08 2017 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Wed Jan 11 16:57:30 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=56cfc287

app-shells/thefuck: Version bump to 3.14

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 app-shells/thefuck/Manifest            |  1 +
 app-shells/thefuck/thefuck-3.14.ebuild | 35 ++++++++++++++++++++++++++++++++++
 2 files changed, 36 insertions(+)

diff --git a/app-shells/thefuck/Manifest b/app-shells/thefuck/Manifest
index 5464086..a630b99 100644
--- a/app-shells/thefuck/Manifest
+++ b/app-shells/thefuck/Manifest
@@ -1 +1,2 @@
 DIST thefuck-3.11.tar.gz 796095 SHA256 
77ee25d0da7c3b5e373c2811c3a4d625de4c635094e960b9f9c60dc490650213 SHA512 
774041c5bb54457add90ed071555a0f6215f43501e9ad359af4e1525df34daa3d35de17ccc93f0c74985c107560c0f86e2db52d58265c4f78d31c69015359631
 WHIRLPOOL 
5eaf7e56100f601146ffd19090463c132ec66a9fcf71340979094df04d8179ddc6624a3c420c114c330e7fafcfbcaeebc1bca462382368a289b75d606f581698
+DIST thefuck-3.14.tar.gz 801989 SHA256 
5757d7ba05ead08e867ab6b41e34d6f27fe38d5bb8af1ffc097aeed5ccc9c72f SHA512 
b6963e4ab6de7c98bf324498f8f4ac2049a038bf50a856dcfe14570fa6351c9eba3ce9b9f30745ae37578750f8978003875682ffecefdc29e7baeee36d2fba3a
 WHIRLPOOL 
795ba476b615d7b1de02c7e86679782af68fb698c31aae6115d380c330a5e0c43c5226a3a5af48ba9d3371ac14726ce1450437a8969bc109bf72f84e18f7f9d8

diff --git a/app-shells/thefuck/thefuck-3.14.ebuild 
b/app-shells/thefuck/thefuck-3.14.ebuild
new file mode 100644
index 00000000..cbacf20
--- /dev/null
+++ b/app-shells/thefuck/thefuck-3.14.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=(python{2_7,3_4,3_5})
+
+inherit distutils-r1
+
+DESCRIPTION="Magnificent app which corrects your previous console command"
+HOMEPAGE="https://github.com/nvbn/thefuck";
+SRC_URI="https://github.com/nvbn/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="~amd64 ~x86"
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="test"
+
+RDEPEND="dev-python/psutil[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+       dev-python/decorator[${PYTHON_USEDEP}]
+       dev-python/colorama[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep 'dev-python/pathlib2[${PYTHON_USEDEP}]' 
python2_7)"
+DEPEND="test? ( ${RDEPEND}
+       dev-python/pytest[${PYTHON_USEDEP}] )
+       dev-python/setuptools[${PYTHON_USEDEP}]"
+
+src_prepare() {
+       sed -i -e "/import pip/s/^/#/" -e "/pip.__version__/,+3 s/^/#/" 
setup.py || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       py.test || die
+}

Reply via email to